Ticket #34 (reopened task)

Opened 6 years ago

Last modified 4 years ago

Cleanup warnings.

Reported by: jesus Assigned to: jesus
Priority: trivial Milestone:
Component: noit-core Severity: critical
Keywords: Cc:

Description

Cleanup warnings and get this to compile with -errwarn=%all

Change History

06/22/08 16:53:24 changed by jesus

(In [290]) cleanup warnings and fix tputs in libedit, refs #34

06/22/08 16:53:38 changed by jesus

(In [291]) cleanup warnings and fix tputs in libedit, refs #34

06/22/08 17:07:26 changed by jesus

  • status changed from new to closed.
  • resolution set to fixed.

[293] finishes this off.

06/22/08 21:42:17 changed by jesus

(In [294]) fix warnings, refs #34

06/22/08 21:44:06 changed by jesus

(In [295]) on isn't used here anymore, refs #34

07/02/08 14:17:57 changed by jesus

  • status changed from closed to reopened.
  • resolution deleted.

This will never be "fixed".

We'll just leave this open to ref when we do simple code cleanup.

07/02/08 14:18:03 changed by jesus

  • priority changed from major to trivial.

08/01/08 14:29:19 changed by jesus

(In [358]) printf type mismatch, refs #34

09/06/08 18:50:45 changed by jesus

(In [415]) refs #34

11/22/08 16:41:25 changed by jesus

(In [521]) change noit_conf_boolean to noit_conf... more sense. refs #34

03/17/09 18:23:12 changed by jesus

(In [627]) add a string specific retrieve to make common const char * str fetches easiser. Fix some warnings in utils. refs #34

03/17/09 21:10:26 changed by jesus

(In [628]) various changes to avoid dereferencing type-punned pointers and breaking strict-aliasing rules, refs #34

05/04/09 14:05:06 changed by jesus

(In [683]) addresses a lot of warnings. gcc still complains about stuff in xpath stuff, doesn't look like our code though, refs #34

05/04/09 14:08:05 changed by jesus

(In [684]) inverted error condition, refs #34

06/10/09 15:02:04 changed by jesus

(In [745]) refs #34

08/07/09 12:57:47 changed by jesus

(In [804]) various cleanups from Dale, refs #34

09/20/09 17:43:12 changed by jesus

(In [867]) const here, refs #34

09/23/09 02:14:02 changed by jesus

(In [874]) refs #34

09/27/09 03:04:26 changed by jesus

(In [888]) cleanup warning and handle an EVENTER_EXCEPTION, refs #34

10/02/09 14:29:11 changed by jesus

  • component changed from noitd to noit-core.
  • severity set to critical.

10/26/09 13:54:20 changed by jesus

(In [1043]) Cleanup and make sure Solaris Sun Studio compilers get -mt and POSIX thread semantics or things will go very wrong, refs #34

10/26/09 14:02:44 changed by jesus

(In [1044]) casting warnings, refs #34

10/26/09 20:44:43 changed by jesus

(In [1048]) const warning, refs #34

10/28/09 02:55:21 changed by jesus

(In [1056]) warnings, refs #34

11/15/09 15:44:29 changed by jesus

(In [1100]) refs #34

11/15/09 15:51:23 changed by jesus

(In [1101]) lint and suppress warnings, refs #34

11/19/09 02:36:21 changed by jesus

(In [1113]) explicit cast to keep warnings down, refs #34

01/17/10 16:00:11 changed by jesus

(In [1166]) refs #34

01/31/10 01:07:58 changed by jesus

(In [1193]) this isn't an error, refs #34

06/13/10 15:00:43 changed by jesus

(In [1333]) refs #34